VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Macros

- _
- a
- b
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- s
- u
- v

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Here is a list of all file members with links to the files they belong to:

### - _ -

- _SILENCE_EXPERIMENTAL_FILESYSTEM_DEPRECATION_WARNING : module_win32.cpp

### - a -

- AAX_EXPORT : aaxentry.cpp
- ACFCanUnloadNow : aaxentry.cpp
- ACFGetClassFactory : aaxentry.cpp
- ACFRegisterComponent : aaxentry.cpp
- ACFRegisterPlugin : aaxentry.cpp
- ACFShutdown : aaxentry.cpp
- ACFStartup : aaxentry.cpp
- ADDPROCPTR : aaxwrapper.cpp
- AUWRAPPER_BASE_CLASS : auwrapper.h

### - b -

- bundleEntry() : VST3Plugin.mm
- BundleEntryFunc : module_mac.mm
- bundleExit() : VST3Plugin.mm
- BundleExitFunc : module_mac.mm
- bytes : vst2persistence.cpp

### - d -

- DECLARE_VSTTEST : testbase.h
- DPA_PLUGIN_BUILD : aaxlibrary.cpp

### - e -

- END_TAG_STRING : vstrepresentation.cpp
- Error : vst2persistence.cpp
- error : vst2persistence.cpp
- ExitModuleFunc : module_win32.cpp
- EXPECT : testing.h
- EXPECT_EQ : testing.h
- EXPECT_FALSE : testing.h
- EXPECT_NE : testing.h
- EXPECT_TRUE : testing.h

### - f -

- FORCE_INLINE : AudioIO.mm

### - g -

- getCurrentThread : aaxwrapper.cpp
- getState : vstsinglecomponenteffect.h , vstsinglecomponenteffect.cpp

### - h -

- HAPI : aaxwrapper.cpp , aaxwrapper_parameters.cpp
- HLOG : aaxwrapper.cpp , aaxwrapper_parameters.cpp

### - i -

- I18N_LIB : aaxlibrary.cpp
- INITACFIDS : aaxlibrary.cpp
- InitModuleFunc : module_win32.cpp

### - k -

- kCurrentSavedStateVersion : auwrapper.mm
- kMaxChannelsSupported : vstbypassprocessor.h
- kVstExtMaxParamStrLen : vst2wrapper.cpp

### - l -

- LOG_ENABLE : module_win32.cpp

### - m -

- MAC_OS_X_VERSION_10_7 : ausdk.mm
- MEDIUM_TITLE_LIMIT : vstrepresentation.cpp
- ModuleEntryFunc : module_linux.cpp
- ModuleExitFunc : module_linux.cpp
- moduleHandle : vstguieditor.cpp

### - n -

- nullptr : module_linux.cpp , module_win32.cpp

### - o -

- obj : module_mac.mm

### - p -

- PARAM : auwrapper.mm
- PLUGIN_SDK_BUILD : aaxlibrary.cpp
- ptr : vst2persistence.cpp

### - s -

- SeekMode : vst2persistence.cpp
- setState : vstsinglecomponenteffect.cpp , vstsinglecomponenteffect.h
- SHORT_TITLE_LIMIT : vstrepresentation.cpp
- showIOSettings() : SettingsViewController.h , SettingsViewController.mm
- SMTG_MAKE_STRING : testing.h , auwrapper.mm
- SMTG_MAKE_STRING_PRIVATE_DONT_USE : auwrapper.mm , testing.h
- SMTG_PRINT_TYPE_SIZE_ALIGN : vststructsizecheck.h
- SMTG_VST_COMPILE_TIME_STRUCT_CHECK : vststructsizecheck.h
- START_TAG_STRING : vstrepresentation.cpp
- stream : vst2persistence.cpp

### - u -

- UNICODE : aaxlibrary.cpp
- USE_EXPERIMENTAL_FS : module_linux.cpp
- USE_FILESYSTEM : module_win32.cpp
- USE_OLE : module_win32.cpp
- USE_TRACE : aaxwrapper.cpp , aaxwrapper_parameters.cpp

### - v -

- verify : ausdk.mm
- verify_noerr : ausdk.mm
- VSTGUI_INT32 : vstguieditor.h
- VSTGUI_NEEDS_INIT_LIB : vstguieditor.cpp

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.